# Verify resume password

Verifies a password for a password-protected public resume. On success, the viewer is granted access to view the resume data for the duration of their session. No authentication required.

```http
POST https://hiresweep.com/api/openapi/resumes/{username}/{slug}/password/verify
x-api-key: YOUR_API_KEY
```

## Parameters

| Name | In | Type | Required | Description |
| --- | --- | --- | --- | --- |
| `username` | path | string | Yes |  |
| `slug` | path | string | Yes |  |

## Request body

```json
{
  "type": "object",
  "properties": {
    "password": {
      "type": "string",
      "minLength": 1,
      "description": "The password to verify."
    }
  },
  "required": [
    "password"
  ]
}
```

## Responses

- `200`: The password was verified successfully and access has been granted.
